function border_load()
  border={}
  border.x=5
  border.y=5
  border.width=790
  border.height=590
  border.color={0,0,0}
  border.thickness=10
  border.timer_init=5
  border.timer = border.timer_init
  border.thresh=40
end
function border_update(dt)
  border_colors(dt)
end
function border_draw()
  local b = border
  love.graphics.setColor(b.color)
  love.graphics.setLineWidth(b.thickness)
  love.graphics.rectangle('line',b.x,b.y,b.width,b.height)
  love.graphics.setColor(0,0,0)
  love.graphics.print('border RGB: '..b.color[1]..'\t'..b.color[2]..'\t'..b.color[3], border.width/2-60, border.height-10)
  love.graphics.print('border.timer: '..b.timer,b.width/2-60,b.height-30)
end
function border_colors(dt)
    if border.timer > 0 then
    border.timer=border.timer-1*dt
  elseif border.timer < 0 then
    border.color[1]=math.random(0,255)
    border.color[2]=math.random(0,255)
    border.color[3]=math.random(0,255)
    
    border.timer = border.timer_init
  end
end
