
function bullet_load()
  bullet={}
  bullet.speed=-150
  bullet.count=0
  bullet.timer=6
  bullet_spray_timer=20
  bullet.max=50
  bullet.count=0
  bullet.width=3
  bullet.height=3
end
function bullet_spawn(x,y,dx,dy,r,b,g)
    table.insert(bullet, {x=x,y=y,dx=dx,dy=dy,r=r,b=b,g=g,height=bullet.height})
    bullet.count = bullet.count+1
end
function bullet_update(dt)
  if love.mouse.isDown('l') then
    bullet.timer = bullet.timer - 1
      local angle = player_dir()
      local bulletDx = bullet.speed*math.cos(angle)
      local bulletDy = bullet.speed*math.sin(angle)
      local r,g,b=player.cR,player.cB,player.cG
    if bullet.timer < 0 then
      bullet_spawn(player.x,player.y,bulletDx,bulletDy,r,g,b)
      bullet.timer = 5
    end
  end
  if love.mouse.isDown('r') then
    --bullet_spray() unusable yet
  end
  for i,v in ipairs(bullet) do
    v.x = v.x+(v.dx*dt)
    v.y = v.y+(v.dy*dt)
  if v.x < border.x+border.thickness or v.x > border.width-border.thickness or v.y < border.y+border.thickness or v.y > border.height-border.thickness then
    if v.r < border.color[1]-border.thresh or v.r > border.color[1]+border.thresh then
      border.thickness=border.thickness+.0
    elseif v.r >border.color[1]-border.thresh and v.r<border.color[1]+border.thresh then            
      border.thickness=border.thickness-.05
    end
    if v.g < border.color[1]-border.thresh or v.g > border.color[1]+border.thresh then
      border.thickness=border.thickness+.05
    elseif v.g >border.color[1]-border.thresh and v.g<border.color[1]+border.thresh then
      border.thickness=border.thickness-.05
    end
     if v.b < border.color[1]-border.thresh or v.b > border.color[1]+border.thresh then
       border.thickness=border.thickness+.05
     elseif v.b >border.color[1]-border.thresh and v.b<border.color[1]+border.thresh then
       border.thickness=border.thickness-.05
     end
     table.remove(bullet, i)
     bullet.count = bullet.count-1
  end
      if bullet.count > bullet.max then
        table.remove(bullet, 2)
        bullet.count = bullet.count-1
      end
      --[[if v.isCollide==true then
        table.remove(bullet,i)
      end]]
  end
end
function bullet_draw()
  for i,v in ipairs(bullet) do
    love.graphics.setColor(v.r,v.g,v.b)
    love.graphics.circle('fill',v.x,v.y,bullet.width)
  end
  love.graphics.print('bullet timer: '..bullet.timer,10,50)
  --love.graphics.print(bullet_spray_timer,10,200) --unnecessary debugging thing
end
function bullet_spray() --potential powerup, very horribly coded. Need to practice.
  bullet_spray_timer = bullet_spray_timer - 1
  if bullet_spray_timer < 0 then
      local angle = player_dir()
      local bulletDx = bullet.speed*math.cos(angle)
      local bulletDy = bullet.speed*math.sin(angle)
      
      bullet_spawn(player.x,player.y,bulletDx,bulletDy,player.cR,player.cB,player.cG)
      bullet_spawn(player.x,player.y,-bulletDx,-bulletDy,player.cR,player.cB,player.cG)
      bullet_spawn(player.x,player.y,.03*bulletDx,bulletDy,player.cR,player.cB,player.cG)
      bullet_spawn(player.x,player.y,bulletDx,bulletDy,player.cR,player.cB,player.cG)
      bullet_spray_timer = 20
  end
end