function button_load()
    buttons = {}
    
    
    colors = {}
    colors[1] = {255,0,0} --red
    colors[2] = {0,255,0} --green
    colors[3] =  {0,0,255} --blue
    create_button(690,15,10,10,colors[1]) --red
    create_button(730,15,10,10,colors[2]) --blue
    create_button(770,15,10,10,colors[3]) --green
end
function create_button(x,y,wid,hei,color)
  table.insert(buttons, {x=x,y=y,wid=wid,hei=hei,color=color})
end
function button_draw()
  for i,v in ipairs(buttons) do
    love.graphics.setColor(v.color)
    love.graphics.circle('fill',v.x,v.y,v.wid)
    love.graphics.setColor(0,0,0)
    local r,g,b = colors[1],colors[2],colors[3]
    if v.color == r then
      love.graphics.print(tostring(get_RGB('red')),v.x+v.wid/2,v.y+v.hei/2)
    elseif v.color == g then
      love.graphics.print(tostring(get_RGB('green')),v.x+v.wid/2,v.y+v.hei/2)
    elseif v.color == b then
      love.graphics.print(tostring(get_RGB('blue')),v.x+v.wid/2,v.y+v.hei/2)
    end
  end
end