function enemy_load()
  enemy = {}
  enemy.x1=0
  enemy.x2=love.graphics.getWidth()
  enemy.y1=0
  enemy.y2=love.graphics.getHeight()
  enemy.minSize1=15
  enemy.minSize2=enemy.minSize1*2
  enemy.maxSize1=30
  enemy.maxSize2=enemy.maxSize1*2
  enemy.initspeed=20
  enemy.timer_init=1
  enemy.timer=enemy.timer_init
  
  function enemy_spawn(x,y,width,height,speed,r,g,b)
    table.insert(enemy, {x=x,y=y,width=width,height=height,speed=speed,r=r,g=g,b=b})
  end
end

function enemy_update(dt)
  local e=enemy
  
  if enemy.timer>0 then
    enemy.timer=enemy.timer-1*dt
  elseif enemy.timer < 0 then
    enemy_spawn(math.random(e.x1,e.x2),math.random(e.y1,e.y2),math.random(e.minSize1,e.minSize2),math.random(     e.maxSize1,e.maxSize2),enemy.initspeed,math.random(0,255),math.random(0,255),math.random(0,255))
    enemy.timer=enemy.timer_init
  end
    

  for i,v in ipairs(enemy) do
    if v.speed == enemy.initspeed then
      v.speed=v.speed+v.width+v.height
    end
    v.dir=math.atan2(player.y-v.y,player.x-v.x)
    v.x=v.x+(math.cos(v.dir)*v.speed*dt)
    v.y=v.y+(math.sin(v.dir)*v.speed*dt)
    end
  end

function enemy_draw()
  for i,v in ipairs(enemy) do
    love.graphics.setColor(v.r,v.g,v.b)
    love.graphics.rectangle('fill',v.x,v.y,v.width,v.height)
    love.graphics.print('\t'..v.speed,v.x,v.y)
  end
end