function player_move(dt) 
  local p = player_controls
  
  local lk = love.keyboard.isDown
  if lk(p.LEFT_KEY) then
    player.x = player.x - player.speed*dt
elseif lk(p.RIGHT_KEY) then
    player.x = player.x + player.speed*dt
  end
  if lk(p.UP_KEY) then
    player.y = player.y -player.speed*dt
  elseif lk(p.DOWN_KEY) then
    player.y = player.y + player.speed*dt
  end
  if love.keyboard.isDown('1') then
      player.cR = player.cR+1
  end
  if love.keyboard.isDown('2') then
      player.cG = player.cG+1
  end
  if love.keyboard.isDown('3') then
    player.cB = player.cB+1
  end
  
  if player.cR >255 then player.cR = 0 end
  if player.cG > 255 then player.cG = 0 end
  if player.cB > 255 then player.cB = 0 end
end

function player_draw()
  love.graphics.setLineWidth('4')
  love.graphics.setColor(player.cR,player.cG,player.cB)
  love.graphics.circle('line', player.x, player.y, 10,30)
end

function player_load()
    player = {
      x = 100,
      y = 100,
      xvel=0,
      yvel=0,
    speed = 200,
    cR=0,
    cG=0,
    cB=0,
    }
  player_controls = {
    LEFT_KEY = 'a',
    RIGHT_KEY = 'd',
    UP_KEY = 'w',
    DOWN_KEY = 's',    
  }
end

function player_dir() --Reads mouse and shows the angle between player and mouse
    local msx,msy = love.mouse.getX(),love.mouse.getY()
    local angle = math.atan2(player.y - msy, player.x - msx)
    return angle
end